> For the complete documentation index, see [llms.txt](https://developers.hive.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.hive.app/changelog.md).

# Changelog

**2025-07-04**

* Document `limit` query parameter for pagination

**2025-07-02**

* Fix expiry\_date type in the shipping example payload (it's a date, not datetime)

**2025-06-18**

* Practical advice for out-of-order webhook handling

**2025-05-15**

* Add `dangerous_good`, `h_codes`, `hazardous_good` and `un_names` to Sku responses

**2025-03-27**

* Clarification on `merchant_item_id`being `null`for shipment items added later as add-ons (i.e. not part of the order line items)

**2024-08-08**

* Add `merchant_item_id` property to `items` in `GET /shipments` response

**2024-06-26**

* Add `items` to `GET /shipments` response

**2024-06-24**

* Add details about rate limit

**2024-06-21**

* Edit introduction to clarify data scope of the API vs Hive app

**2023-11-22**

* Document pagination parameter for collections

**2023-09-18**

* Add optional `include` parameter to the `GET /orders/{id}` endpoint to retrieve the SKU batches included in the order

**2023-08-01**

* Add `DELETE /skus/{id}` endpoint
* Add `status` property to responses in SKUs endpoints

**2023-07-21**

* Add optional `include` parameter to the `GET /orders` endpoint to retrieve the SKU batches included in the orders

**2023-06-01**

* Add `GET /returns` endpoint
* Add `GET /returns/{id}` endpoint

**2023-05-30**

* Add barcode to the [Restocking Shipments](/reference/api-reference/restocking-shipments.md) resource.

**2023-05-29**

* Add production and staging domains in the [Quick Start](/quick-start.md) page.

**2023-05-18**

* Add batch inventory information to the [Restocking Shipment ](/reference/api-reference/restocking-shipments.md)resource.

**2023-05-03**

* Change `quantity` to `announced_quantity` to restocking shipment item in the restocking shipment's response &#x20;
* Add `arrived_quantity` `damaged_quantity` `missing_quantity` to restocking shipment item in the restocking shipment's response &#x20;

&#x20;**2023-04-26**

* Add `POST /skus/bulk_upsert` endpoint

**2023-04-19**

* Add `fulfilled_by` property to responses in SKUs endpoints

**2023-04-18**

* Add `batch_tracking_enabled` property in SKUs endpoints' responses and accept it in `POST`/`PATCH`
* Add `/restocking_shipments` endpoints
* Add `GET /warehouses` endpoint

**2023-04-14**

* Add `inventory_batches` property to responses in SKUs endpoints

**2023-04-11**

* Add `currency` property in Orders endpoints' responses and accept it in `POST`/`PATCH`

&#x20;      &#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.hive.app/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
